Repository 32bit  Forum
Repository 64bit  Wiki

aggiornamento a current (X)

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: aggiornamento a current (X)

Messaggioda ZeroUno » sab mag 05, 2012 18:57

i calligra te li dava in prima pagina... se scorrevi c'erano pure gli altri!
comunque metti "calligra-l10n" in /etc/slackpkg/blacklist
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4412
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: aggiornamento a current (X)

Messaggioda slucky » sab mag 05, 2012 19:03

Se usi driver nvidia legacy (173 o precedenti) puoi dire loro addio.
Non supportano infatti le release più recenti di Xorg.
Se usi i driver più recenti non dovresti avere problemi di sorta.


quindi nelle future releases di Slackware non sarà più possibile utilizzare questi vecchi driver, e come faremo noi che ancora abbiamo vecchie schede nvidia? :roll:
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: aggiornamento a current (X)

Messaggioda aschenaz » sab mag 05, 2012 21:04

Rifatto l'upgrade: tutto ok! :thumbright:

Comunque sono sicuro di averli scorsi tutti i nuovi pacchetti prima e quelli non c'erano! È possibile che avessi beccato un mirror in fase di aggiornamento?
pensieriemotivi.aschenaz.eu - music-blog
Avatar utente
aschenaz
Staff
Staff
 
Messaggi: 4433
Iscritto il: mar lug 27, 2004 23:00
Località: Reggio Calabria
Nome Cognome: Nino
Slackware: current 64bit
Kernel: 3.14.18
Desktop: KDE 4.10.5

Re: aggiornamento a current (X)

Messaggioda ZeroUno » sab mag 05, 2012 22:29

aschenaz ha scritto:Comunque sono sicuro di averli scorsi tutti i nuovi pacchetti prima e quelli non c'erano!

Strano
È possibile che avessi beccato un mirror in fase di aggiornamento?

no. Il file che conta è il ChangeLog.txt . Potevano non essere allineati i pacchetti (in tal caso falliva il download) ma il changelog è un file solo, quindi o tutto o niente.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4412
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: aggiornamento a current (X)

Messaggioda hashbang » dom mag 06, 2012 9:56

slucky ha scritto:quindi nelle future releases di Slackware non sarà più possibile utilizzare questi vecchi driver, e come faremo noi che ancora abbiamo vecchie schede nvidia? :roll:
Eh..bella domanda
io usavo gli nvidia 173.xx e già con X.org 1.11 non potevo più usarli. Sul sito infatti sono fermi ad agosto dell'anno scorso. :roll:
Mi sarei aspettato un loro annuncio sul passaggio in End Of Life dei suddetti driver, ma non ho visto nulla a riguardo.
Difatti sull'ArchWiki è scritto:
ArchWiki ha scritto:Nota: Attualmente i driver Nvidia-173xx e Nvidia-96xx non supportano la versione 1.11 di Xorg, e non sono presenti nei repositori ufficiali . Potete usare i driver open source nouveau al loro posto.


Peccato che siano (almeno nel mio caso) ancora inusabili...

L'unica mia fortuna è che usando FreeBSD posso ancora usare i 173xx, in quando X.org è fermo alla 1.7. Anche su OpenIndiana (che uso in dualboot) Xorg è fermo alla 1.7...ma li i driver 173xx non vogliono saperne di funzionare....quindi li mi toccano gli nv. #-o
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1834
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: aggiornamento a current (X)

Messaggioda ZeroUno » dom mag 06, 2012 10:43

Invece i 295xx non funzionano con le vecchie schede?
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4412
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: aggiornamento a current (X)

Messaggioda rik70 » dom mag 06, 2012 11:46

Uhm....non so se sia la stessa versione usata in current, ma provavo 'Linux mint Debian' e l'ultima release di Ubuntu e X non parte o ha dei problemi.

Ubuntu non prende i settaggi della risoluzione del monitor in nessun modo. Mint col KMS attivo - default - non parte nemmeno: si spegne il monitor e il sistema non reagisce minimamente, tastiera bloccata, etc.....stessa cosa fa Ubuntu se aggiorno il server xorg.

Bhooo.... e ma 'sta faccenda inizia a preoccuparmi.
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: aggiornamento a current (X)

Messaggioda hashbang » dom mag 06, 2012 15:59

ZeroUno ha scritto:Invece i 295xx non funzionano con le vecchie schede?

Stando a quanto riporta il sito di nvidia, non dovrebbero essere supportate.
Metto in tag code per evitare papiri
Codice: Seleziona tutto
GeForce 600 series:
GTX 690, GTX 680, GT 620

GeForce 600M series:
GT 635M, GT 630M, G610M

GeForce 500 series:
GTX 590, GTX 580, GTX 570, GTX 560 Ti, GTX 560, GTX 550 Ti, GT 545, GT 530, GT 520, 510

GeForce 500M series:
GTX 580M, GTX 570M, GTX 560M, GT 555M, GT 550M, GT 540M, GT 525M, GT 520MX, GT 520M

GeForce 400 series:
GTX 480, GTX 470, GTX 465, GTX 460 SE v2, GTX 460 SE, GTX 460, GTS 450, GT 440, GT 430, GT 420, 405

GeForce 400M series:
GTX 485M, GTX 480M, GTX 470M, GTX 460M, GT 445M, GT 435M, GT 425M, GT 420M, GT 415M, 410M

GeForce 300 series:
GT 340, GT 330, GT 320, 315, 310

GeForce 300M series:
GTS 360M, GTS 350M, GT 335M, GT 330M, GT 325M, GT 320M, 320M, 315M, 310M, 305M

GeForce 200 series:
GTX 295, GTX 285, GTX 280, GTX 275, GTX 260, GTS 250, GTS 240, GT 240, GT 230, GT 220, G210, 210, 205

GeForce 200M series:
GTX 285M, GTX 280M, GTX 260M, GTS 260M, GTS 250M, GT 240M, GT 230M, GT 220M, G210M

GeForce 100 series:
GT 140, GT 130, GT 120, G 100

GeForce 100M series:
GTS 160M, GTS 150M, GT 130M, GT 120M, G 110M, G 105M, G 103M, G 102M

GeForce 9 series:
9800 GX2, 9800 GTX+, 9800 GTX/GTX+, 9800 GT, 9650 S, 9600 GT, 9600 GSO 512, 9600 GSO, 9600 GS, 9500 GT, 9500 GS, 9400 GT, 9400, 9300 SE, 9300 GS, 9300 GE, 9300 / nForce 730i, 9300, 9200, 9100

GeForce 9M series:
9800M GTX, 9800M GTS, 9800M GT, 9800M GS, 9700M GTS, 9700M GT, 9650M GT, 9650M GS, 9600M GT, 9600M GS, 9500M GS, 9500M G, 9400M G, 9400M, 9300M GS, 9300M G, 9200M GS, 9100M G

GeForce 8 series:
8800 Ultra, 8800 GTX, 8800 GTS 512, 8800 GTS, 8800 GT, 8800 GS, 8600 GTS, 8600 GS, 8500 GT, 8400 SE, 8400 GS, 8400, 8300 GS, 8300, 8200, 8100 / nForce 720a

GeForce 8M series:
8800M GTX, 8800M GTS, 8700M GT, 8600M GT, 8600M GS, 8400M GT, 8400M GS, 8400M G, 8200M G

GeForce 7 series:
7950 GX2, 7950 GT, 7900 GTX, 7900 GT/GTO, 7900 GS, 7800 SLI, 7800 GTX, 7800 GT, 7800 GS, 7650 GS, 7600 LE, 7600 GT, 7600 GS, 7500 LE, 7350 LE, 7300 SE / 7200 GS, 7300 LE, 7300 GT, 7300 GS, 7150M /NVIDIA nForce 630M, 7150 / NVIDIA nForce 630i, 7100 GS, 7100 / NVIDIA nForce 630i, 7050 PV / NVIDIA nForce 630a, 7050 / NVIDIA nForce 630i, 7050 / nForce 620i, 7025 / NVIDIA nForce 630a, 7000M /NVIDIA nForce 610M

GeForce Go 7 series:
Go 7950 GTX, Go 7900 GS, Go 7800 GTX, Go 7800, Go 7700, Go 7600 GT, Go 7600, Go 7400, Go 7300, Go 7200

GeForce 6 series:
6800 XT, 6800 XE, 6800 Ultra, 6800 LE, 6800 GT, 6800 GS, 6800, 6700 XL, 6610 XL, 6600 VE, 6600 LE, 6600 GT, 6600, 6500, 6250, 6200 TurboCache, 6200SE TurboCache, 6200 LE, 6200 A-LE, 6200, 6150SE nForce 430, 6150 LE, 6150, 6100 nForce 420, 6100 nForce 405, 6100 nForce 400, 6100

NVS Series:
NVS 300

Quadro series:
7000, 6000, 600, 5000, 4000, 400, 2000D, 2000

Quadro FX series:
FX Go1400, FX 5800, FX 580, FX 570, FX 5600, FX 560, FX 5500, FX 550, FX 540, FX 4800, FX 4700 X2, FX 4600, FX 4500 X2, FX 4500, FX 4000, FX 380 LP, FX 3800, FX 380, FX 370 Low Profile, FX 3700, FX 370, FX 3500, FX 350, FX 3450/4000 SDI, FX 3400/4400, FX 1800, FX 1700, FX 1500, FX 1400, CX

Quadro Notebook series:
5010M, 5000M, 4000M, 3000M, 2000M, 1000M

Quadro FX Notebook series:
FX 880M, FX 770M, FX 570M, FX 560M, FX 540M, FX 380M, FX 3800M, FX 370M, FX 3700M, FX 360M, FX 3600M, FX 350M, FX 2800M, FX 2700M, FX 2500M, FX 1800M, FX 1700M, FX 1600M, FX 1500M

Quadro NVS series:
NVS 450, NVS 440, NVS 420, NVS 295, NVS 290, NVS 285, NVS 210S / 6150LE

Quadro NVS Notebook series:
NVS 5200M, NVS 510M, NVS 4200M, NVS 320M, NVS 160M, NVS 150M, NVS 140M, NVS 135M, NVS 130M, NVS 120M, NVS 110M

Quadro Plex series:
Model IV, Model II, D Series, 7000

Quadro G-Sync series:
G-Sync II

Quadro SDI series:
Quadro SDI

ION series:
ION LE, ION

C-Class Processors:
Tesla C870, Tesla C2075, Tesla C2070, Tesla C2050, Tesla C1060, T10 Processor

M-Class Processors:
Tesla M2090, Tesla M2075, Tesla M2070-Q, Tesla M2070, Tesla M2050, Tesla M1060

X-Class Processors:
Tesla X2090


La mia GeForce FX 5200 non è presente nell'elenco dei driver 295xx
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1834
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: aggiornamento a current (X)

Messaggioda Roland » dom mag 06, 2012 17:05

spina ha scritto:Ma il mio messaggio qualcuno lo legge!!!! Se il mouse e la tastiera sono bloccati vuol dire, probabilmente, che manca il pacchetto 'x/mtdev-...'. Basta installarlo!!!

Che c'entra la scheda video con il mouse e la tastiera?
Emanuele


Hai perfettamente ragione....chiedo venia :)
Avatar utente
Roland
Linux 2.0
Linux 2.0
 
Messaggi: 175
Iscritto il: mer ago 20, 2008 0:32
Località: Catanzaro Lido
Slackware: current x86_64
Kernel: 3.2.13
Desktop: KDE 4.8.2

Re: aggiornamento a current (X)

Messaggioda rik70 » dom mag 06, 2012 17:38

Incredibile ma vero, in merito al mio post precedente ho trovato la soluzione.

In pratica bisogna creare le Modeline a mano col comando cvt e metterle in un file di configurazione minimale, diversamente Xorg crahsa clamorosamente.

Es.
Codice: Seleziona tutto
Section "Monitor"
   Identifier "Monitor0"
   ModeLine "1024x768"     94.50   1024 1080 1184 1376    768  771  775  809 -hsync +vsync
   # 1920x1440 59.97 Hz (CVT 2.76M3) hsync: 89.53 kHz; pclk: 233.50 MHz
   Modeline "1920x1440_60.00"  233.50  1920 2064 2264 2608  1440 1443 1447 1493 -hsync +vsync
   Option "PreferredMode" "1024x768"
EndSection

Section "Device"
   Identifier "Card0"
   Driver   "radeon"
EndSection

Section "Screen"
   Identifier "Screen0"
   Device "Card0"
   Monitor "Monitor0"
   DefaultDepth 24
EndSection

Ho messo la risoluzione che uso abitualmente + quella massima supportata dal Monitor CRT.

Scusate l'OT, ma penso possa servire a qualcuno che si dovesse trovare in una situazione analoga.

Bye
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: aggiornamento a current (X)

Messaggioda tornadomig » dom mag 06, 2012 23:44

anche io ho upgradato xorg e tutto il resto ma con mtdev installato ho sempre mouse e tastiera bloccati. un uccellino mi ha detto di rimuovere .kde e .kderc dalla directory home.

ciò vi risulta?

grazie in anticipo
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: aggiornamento a current (X)

Messaggioda ilrobyt » lun mag 07, 2012 8:00

Hola, stesso problema.
Da quello che ho visto nei log non sono stati aggiornati i pacchetti xf86-input-mouse e xf86-input-keyboard
Se si mette il riconoscimento automatico in xorg.conf il mouse va ma la tastieta è un disastro (se premo freccia in su mi si apre la finestra per fare il dump del video..)
Qualche bravi ragazzo può provare a fare i pacchetti direttamente da ftp://ftp.x.org/pub/X11R7.7-RC1/src/driver/ ?
ilrobyt
Linux 1.0
Linux 1.0
 
Messaggi: 17
Iscritto il: ven ago 20, 2010 9:41

Re: aggiornamento a current (X)

Messaggioda tornadomig » lun mag 07, 2012 10:54

oh fa quasi piacere non essere l'unico che ha problemucci con xorg. ora scrivo con un altro so finché questa cosa non sarà risolta, purtroppo...
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: aggiornamento a current (X)

Messaggioda conraid » lun mag 07, 2012 11:01

ilrobyt ha scritto:Hola, stesso problema.
Da quello che ho visto nei log non sono stati aggiornati i pacchetti xf86-input-mouse e xf86-input-keyboard
Se si mette il riconoscimento automatico in xorg.conf il mouse va ma la tastieta è un disastro (se premo freccia in su mi si apre la finestra per fare il dump del video..)
Qualche bravi ragazzo può provare a fare i pacchetti direttamente da ftp://ftp.x.org/pub/X11R7.7-RC1/src/driver/ ?


in realtà è stata una scelta, che probabilmente "cambieranno"
Come scrive rworkman su LQ

I was going to remove them (that was in fact my intent), but my position was based on the idea that nobody still used them these days on linux systems. However, I see that I was wrong, so...

They're small and don't hurt anything by being installed, and that way they'll still be present on the off chance that some weirdo like you wants to use them... ;-) Given that plus the fact that Pat asked me about them earlier today, I suspect you'll see an upgrade to the latest releases of those in the next public update.


https://www.linuxquestions.org/question ... page3.html
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: aggiornamento a current (X)

Messaggioda targzeta » lun mag 07, 2012 11:02

Avete guardato i log di X? Se si pianta ma parte, comunque il file /var/log/Xorg.log dovrebbe essere stato aggiornato. Io quando ho avuto il vostro problema ho visto lì dentro che non riusciva a caricare una libreria presente in mtdev.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6186
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

PrecedenteProssimo

Torna a Slackware

Chi c’è in linea

Visitano il forum: Google [Bot] e 3 ospiti

cron